// ピン番号を指定
int PIN_Data = 2;
int PIN_Latch = 3;
int PIN_Shift = 4;

// 数字の形を定義
boolean sevenSegmentTable[10][8] = {
  {0,1,1,1,1,0,1,1},//0
  {0,1,1,0,0,0,0,0},//1
  {0,0,1,1,0,1,1,1},//2
  {0,1,1,1,0,1,1,0},//3
  {0,1,1,0,1,1,0,0},//4
  {0,1,0,1,1,1,1,0},//5
  {0,1,0,0,1,1,1,1},//6
  {0,1,1,1,0,0,0,0},//7
  {0,1,1,1,1,1,1,1},//8
  {0,1,1,1,1,1,0,0} //9
};

void setup() {
  pinMode(PIN_Data, OUTPUT);
  pinMode(PIN_Latch, OUTPUT);
  pinMode(PIN_Shift, OUTPUT);
}

void loop() {
  
  // 0〜9の数字を1秒間隔で表示する
  for ( int i=0; i < 10; i++) {
    desplayNum( i );
    delay(1000);
  }
} 
 
void desplayNum( int _num ){
  // 引数の数字を7セグLEDに表示する関数
  
   for( int i=0; i<8; i++){
     int output = sevenSegmentTable[_num][i];
     digitalWrite( PIN_Data, output );
     
     digitalWrite( PIN_Shift, LOW );
     digitalWrite( PIN_Shift, HIGH );
   }
   
   digitalWrite( PIN_Latch, LOW );   
   digitalWrite( PIN_Latch, HIGH );   

}
